package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.Restriction;

import java.util.List;

@ApiModel(value = "RestrictionBeanWrapper",
        description = "Information related to Restrictions.")
public class RestrictionBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "Restrictions.", required = true)
    private Restriction operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public Restriction getOperation() {
        return operation;
    }

    public void setOperation(Restriction operation) {
        this.operation = operation;
    }
}
